module ParserHelper

	def self.is_command?(line)
		is_feature?(line) || is_scenario?(line) || is_context?(line) || is_tag?(line)
	end

	def self.is_feature?(line)
		return line =~ /Funcionalidade:.*/
	end

	def self.get_feature(line)
		line.gsub("Funcionalidade:", '').split(' ').join(' ')
	end

	def self.is_scenario?(line)
		return line =~ /Cenário:.*/
	end

	def self.get_scenario(line)
		line.gsub("Cenário:", '').split(' ').join(' ')
	end

	def self.is_context?(line)
		return true if line =~ /Contexto:.*/
	end

	def self.get_context(line)
		line.gsub("Contexto:", '').split(' ').join(' ')
	end

	def self.is_tag?(line)
		return true if line =~ /@.*/
	end

	def self.is_screenshot?(line)
		return (line.include? "@screenshot") && (line.include? "@javascript")
	end

	def self.is_comment?(line)
		return true if line =~ /#.*/
	end

	def self.read_line(file)
		line = file.gets
		line = line.gsub("\n", "").split(' ').join(' ') unless line.nil?
		line
	end

end